Orange Forum • View topic - PyQt 4.0beta1 Released

PyQt 4.0beta1 Released

Discussions about new ideas and features you would like to see in Orange.
(Archived/read-only, please use our ticketing system for your wishes and their discussion.)
Forum rules
(Archived/read-only, please use our ticketing system for your wishes and their discussion.)

PyQt 4.0beta1 Released

Postby vim » Fri Apr 28, 2006 2:24

great news for us.
forgive my ignorance , is orange canvas need some modules except pyqt ? pyqwt? and...?

Postby Blaz » Tue May 02, 2006 19:21

some widgets need pyqwt. to my knowledege, nothing else is related to qt.

Postby vim » Wed May 03, 2006 4:43

thanks for the info.

Postby vim » Sun May 21, 2006 18:21

i got some information about pyqwt from pykde mai llis.
just forward it here fyi.
is there any plan for the porting or just waiting for the release of pyqt4(and pyqwt5)?
Gerard Vermeulen to pykde
More options 12:24 am (51 minutes ago)

I am proud to announce PyQwt-4.2.1 and PyQwt5-20060521

What is PyQwt?

- it is a set of Python bindings for the Qwt C++ class library which
extends the Qt framework with widgets for scientific and engineering
applications. It provides a widget to plot 2-dimensional data and
various widgets to display and control bounded or unbounded floating
point values.

- it requires and extends PyQt, a set of Python bindings for Qt.

- it supports the use of PyQt, Qt, Qwt, the Numerical Python extensions
(any combination of NumPy, numarray, and Numeric) and optionally
SciPy in a GUI Python application or in an interactive Python session.

- it runs on POSIX, MacOS/X and Windows platforms (practically any
platform supported by Qt and Python).

The home page of PyQwt is http://pyqwt.sourceforge.net.

New features in PyQwt-4.2.1 are:
1. support for NumPy.
2. upgrade to PyQt-3.16 and its code generator SIP-4.4.x.
3. PyQwt-4.2.1 can coexist with the PyQwt5 snapshots (or future
releases) for Qt-3 and Qt-4

PyQwt-4.2.1 requires:
1. Python-2.4.x or -2.3.x.
2. PyQt-3.16 and SIP-4.4.x.
4. Qt-3.3.x or -3.2.x.


PyQwt5-20060521 is based on a snapshot of the not yet released Qwt-5.0.0
library and is compatible with PyQt-3.16, PyQt4-4.0 and SIP-4.4.x.

PyQwt-4.2.1 for Qt-3 and PyQwt5-20060521 for Qt-3 *and* for Qt-4 can
coexist within the same Python interpreter.


Note: the API of PyQwt-4.2.1 and PyQwt5 are really different.


Have fun -- Gerard Vermeulen

Postby Gregor Leban » Tue May 23, 2006 16:45

hi,

we were very much looking forward to the new release of the pyQt 4. Unfortunately, what we found was that PyQt4 won't contain all the qt classes. In fact, it won't contain the QCanvas (and similar) class that is crucial for Orange Canvas and all visualization widgets.

The reason why this classes are not included in PyQt is that Qt will at the end of the year release Qt version 4.2 that will contain some new classes for graphics. At that time this classes will also be included in PyQt.

Until then, we must be satisfied with qt 2.3 (at least on Windows).

Gregor

Postby vim » Tue May 23, 2006 18:10

hi Gregor, thanks for the reply. and another reply of ploywiz. :-)


Return to Wish List



cron